Module jdk.compiler
Package com.sun.source.tree

## Interface MemberSelectTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

    public interface MemberSelectTree
    extends ExpressionTree

A tree node for a member access expression. For example:

       expression . identifier

Since:
  1.6
See The Java™ Language Specification:
  sections 6.5, 15.11,and 15.12

### Nested Class Summary

### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getExpression()` Returns the expression for which a member is to be selected.
`Name` `getIdentifier()` Returns the name of the member to be selected.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

Returns the expression for which a member is to be selected.

Returns:
  the expression.

#### getIdentifier

    Name getIdentifier()

Returns the name of the member to be selected.

Returns:
  the member